GET api/EmployeeBasic/{id}
Gets a single Employee live from a payroll database
Request Information
URI Parameters
(i.e.queryString parameters in the form ?param1={param1}¶m2={param2})
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The Employee Code used in the payroll database |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
A single Employee basic if the employee is found
EmployeeBasicView| Name | Description | Type | Additional information |
|---|---|---|---|
| idEmployee |
Database ID of the Employee record. This could be tracked for the rare case that Employee Codes change in this payroll DB |
integer |
None. |
| EmpCode |
The unique code identifing the actual ChangeEmployee record in question. This code is required input on ALL requests. Meridian: Maximum length allowed is 8 characters.WageEasy: Maximim length allowed is 20 characters.Required |
string |
None. |
| Surname |
The employee's surname (last name/family name). Required when the ChangeType is Add, optional for all other ChangeTypes. Meridian: Maximum length allowed is 40 characters.WageEasy: Maximum length allowed is 50 characters.Required |
string |
None. |
| FirstName |
The employee's first name (given name/Christian name). Meridian: Maximum length allowed is 20 characters.WageEasy: Maximum length allowed is 30 characters. |
string |
None. |
| MiddleName |
The employee's middle name. Meridian: Maximum length allowed is 15 characters. |
string |
None. |
| PreferredName |
The employee's preferred name. Meridian: Maximum length allowed is 15 characters. |
string |
None. |
| Title |
The employee's salutation or title (e.g. Mr, Mrs, Sir, Doctor or Air Vice Marshall, etc). Meridian: Allowed values: Must be one of the valid Title values in the target payroll database. Maximum length allowed is 50 characters.WageEasy: Maximum length allowed is 15 characters. Title codes may be found using api/Lookups?type=Title |
string |
None. |
| Gender |
The employee's sex (gender). Typically allowed values: Male, Female or Other but refer to the Gender Lookup for a full list Gender codes may be found at using api/Lookups?type=Gender |
string |
None. |
| MaritalStatus |
The employee's marital status. Typically allowed values: Divorced, Married, Not Applicable, Single, Widowed but refer to teh MaritalStatus lookup MaritalStatus codes may be found using api/Lookups?type=MaritalStatus |
string |
None. |
| DateOfBirth |
The employee's date of birth. |
date |
None. |
| HiredDate |
The date the Employee commence work. |
date |
None. |
| AboriginalTorres  Strait |
Indicates the employee's Aborginal or Torres Strait Islander status. Allowed values:Unknown, Aboriginal, Islander, Declined, Both, Neither |
string |
None. |
| Street |
The street address where the Employee lives. Meridian: Maximum length allowed is 40 characters.WageEasy: Maximum length allowed is 225 characters. |
string |
None. |
| SuburbCity |
The suburb where the Employee lives.
Meridian: WageEasy: |
string |
None. |
| State |
The state in which the Employee lives.
Meridian: WageEasy: |
string |
None. |
| Postcode |
The postcode where the Employee lives. |
string |
None. |
| Country |
The country in which the Employee lives. Meridian: Maximum length allowed is 30 characters.WageEasy: Maximum length allowed is 40 characters. Country codes may be found using api/Lookups?type=Country |
string |
None. |
| PostalStreet |
The street address for the employee's postal address. Meridian: Maximum length allowed is 40 characters.WageEasy: Maximum length allowed is 225 characters. |
string |
None. |
| PostalSuburb  City |
The suburb for the employee's postal address. Meridian: Maximum length allowed is 30 characters.WageEasy: Maximum length allowed is |
string |
None. |
| PostalState |
The state for the employee's postal address. Meridian: Maximum length allowed is 6 characters.WageEasy: Maximum length allowed is 10 characters. State codes may be found using api/Lookups?type=State |
string |
None. |
| PostalPostcode |
The post code for the employee's postal address. |
string |
None. |
| PostalCountry |
The country for the employee's postal address. Meridian: Maximum length allowed is 30 characters.WageEasy: Maximum length allowed is 40 characters. |
string |
None. |
| Telephone1 |
The employee's primary or default telephone number. |
string |
None. |
| Telephone2 |
The employee's alternative (mobile) telephone number. |
string |
None. |
| DefaultEmail |
The employee's preferred email address. Meridian: Maximum length allowed is 100 characters.WageEasy: Maximum length allowed is 85 characters. |
string |
None. |
| PayrollCompany |
The employee's payroll company. Meridian: Required when the ChangeType is Add, optional for all other ChangeTypes.Allowed values: Must be one of the valid Payroll Company codes in the target payroll database. Maximum length allowed is 10 characters.WageEasy: PayrollCompany codes may be found using api/Lookups?type=PayrollCompany |
string |
None. |
| PayFrequency |
The pay frequency or cycle the Employee will be paid on. Meridian: Required when the ChangeType is Add, optional for all other ChangeTypes.Allowed values: Must be one of the valid PayFrequency codes in the target payroll database. Maximum length allowed is 10 characters.WageEasy: PayFrequency codes may be found using api/Lookups?type=PayFrequency |
string |
None. |
| Location |
The employee's location for payroll purposes. Meridian: Required when the ChangeType is Add, optional for all other ChangeTypes.Allowed values: Must be one of the valid Location values in the target payroll database. WageEasy: Location codes may be found using api/Lookups?type=Location |
string |
None. |
| PayPoint |
The pay point where the Employee will be paid. Meridian: Required when the ChangeType is Add, optional for all other ChangeTypes.Allowed values: Must be one of the valid PayPoint codes in the target payroll database. Maximum length allowed is 10 characters.WageEasy: PayPoint codes may be found using api/Lookups?type=PayPoint |
string |
None. |
| WorkersCompCode |
The employee's job classification. Meridian: Allowed values:Must be one of the valid job classification values in the target payroll database. WageEasy: WorkersCompCode codes may be found using api/Lookups?type=WorkersComp |
string |
None. |
| Job  Classification |
The employee's job classification. Meridian: Allowed values:Must be one of the valid job classification values in the target payroll database. JobClassification codes may be found using api/Lookups?type=JobClassification |
string |
None. |
| userDefined  Fields |
Collection of EmployeeUser  DefinedFieldView |
None. |
|
| IsAnnualised  Salary |
IsAnnualisedSalary |
boolean |
None. |
| Annualised  AnniversaryDate |
AnnualisedAnniversaryDate |
date |
None. |
Response Formats
application/json, text/json
{
"idEmployee": 1,
"empCode": "sample string 2",
"surname": "sample string 3",
"firstName": "sample string 4",
"middleName": "sample string 5",
"preferredName": "sample string 6",
"title": "sample string 7",
"gender": "sample string 8",
"maritalStatus": "sample string 9",
"dateOfBirth": "2026-06-14T11:12:30.7465886+10:00",
"hiredDate": "2026-06-14T11:12:30.7465886+10:00",
"aboriginalTorresStrait": "sample string 10",
"street": "sample string 11",
"suburbCity": "sample string 12",
"state": "sample string 13",
"postcode": "sample string 14",
"country": "sample string 15",
"postalStreet": "sample string 16",
"postalSuburbCity": "sample string 17",
"postalState": "sample string 18",
"postalPostcode": "sample string 19",
"postalCountry": "sample string 20",
"telephone1": "sample string 21",
"telephone2": "sample string 22",
"defaultEmail": "sample string 23",
"payrollCompany": "sample string 24",
"payFrequency": "sample string 25",
"location": "sample string 26",
"payPoint": "sample string 27",
"workersCompCode": "sample string 28",
"jobClassification": "sample string 29",
"userDefinedFields": [
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
},
{
"pageName": "sample string 1",
"fieldName": "sample string 2",
"fieldDescription": "sample string 3",
"fieldType": "sample string 4",
"value": "sample string 5",
"displayOrder": 6
}
],
"isAnnualisedSalary": true,
"annualisedAnniversaryDate": "2026-06-14T11:12:30.7465886+10:00"
}